import App
def Create(pTorp):

	kGlowColor = App.TGColorA()
	kGlowColor.SetRGBA(255.0 / 255.0, 0.0 / 255.0, 48.0 / 255.0, 1.000000)	
	kCoreColor = App.TGColorA()
	kCoreColor.SetRGBA(255.0 / 255.0, 0.0 / 255.0, 17.0 / 255.0, 1.000000)

	# Params are:

	pTorp.CreateTorpedoModel(
					"data/Textures/Tactical/ZZQuantumCore.tga",
					kCoreColor, 
					0.2,
					3.5,	 
					"data/Textures/Tactical/ZZQuantumGlow.tga", 
					kGlowColor,
					3.5,	
					1.2,	 
					1.4,	
					"data/Textures/Tactical/ZZHeavyPhotonFlares.tga",
					kGlowColor,										
					30,		
					0.07,		
					0.4)

	pTorp.SetDamage( GetDamage() )
	pTorp.SetDamageRadiusFactor(0.25)
	pTorp.SetGuidanceLifetime( GetGuidanceLifetime() )
	pTorp.SetMaxAngularAccel( GetMaxAngularAccel() )

	# Multiplayer specific stuff.  Please, if you create a new torp
	# type. modify the SpeciesToTorp.py file to add the new type.
	import Multiplayer.SpeciesToTorp
	pTorp.SetNetType (Multiplayer.SpeciesToTorp.QUANTUM)

	return(0)

def GetLaunchSpeed():
	return(20.0)

def GetLaunchSound():
	return("NemPhoton")

def GetPowerCost():
	return(20.0)

def GetName():
	return("Photon XIX")

def GetDamage():
	return 7750.0

def GetGuidanceLifetime():
	return 150.0

def GetMaxAngularAccel():
	return 0.20

def GetLifetime():
	return 200.0
